using System;

namespace SharpQuake
{
	internal class searchpath_t
	{
		public searchpath_t(string path)
		{
			if (path.EndsWith(".PAK"))
			{
				this.pack = common.LoadPackFile(path);
				if (this.pack == null)
				{
					sys.Error("Couldn't load packfile: {0}", new object[]
					{
						path
					});
					return;
				}
			}
			else
			{
				this.filename = path;
			}
		}

		public searchpath_t(pack_t pak)
		{
			this.pack = pak;
		}

		public string filename;

		public pack_t pack;
	}
}
